Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5139)
@@ -398,9 +398,9 @@
     USE lmdz_alpale
     USE lmdz_clesphys
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
 
     !   INCLUDE "temps.h"
-    INCLUDE "compbl.h"
     INCLUDE "dimensions.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90	(revision 5139)
@@ -7,8 +7,7 @@
   USE dimphy
   USE indice_sol_mod
+  USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
 
   IMPLICIT NONE
-
-  INCLUDE "flux_arp.h"
 
 !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_hq_mod.F90	(revision 5139)
@@ -47,4 +47,7 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
+    IMPLICIT NONE
     INTEGER, INTENT(IN)                      :: knon
     REAL, DIMENSION(klon,klev), INTENT(IN)   :: coefhq
@@ -84,7 +87,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
-
 !****************************************************************************************
 ! 1)
@@ -331,4 +331,6 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    IMPLICIT NONE
     INTEGER, INTENT(IN)                      :: knon
     REAL, INTENT(IN)                         :: dtime
@@ -358,6 +360,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5139)
@@ -35,4 +35,6 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    IMPLICIT NONE
     INTEGER, INTENT(IN)                      :: knon
     REAL, DIMENSION(klon,klev), INTENT(IN)   :: coefqbs
@@ -64,7 +66,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
-
 !****************************************************************************************
 ! 1)
@@ -260,4 +259,7 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
+    IMPLICIT NONE
     INTEGER, INTENT(IN)                      :: knon
     REAL, INTENT(IN)                         :: dtime
@@ -287,6 +289,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
 !****************************************************************************************
 ! 1) 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5139)
@@ -88,4 +88,7 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
+    IMPLICIT NONE
     INTEGER, INTENT(IN)                      :: knon
     REAL, INTENT(IN)                         :: dtime
@@ -123,6 +126,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
 !****************************************************************************************
 ! Initialize module
@@ -274,4 +275,7 @@
 ! Input arguments
 !****************************************************************************************
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+    IMPLICIT NONE
+
     INTEGER, INTENT(IN)                     :: knon
     REAL, INTENT(IN)                        :: dtime
@@ -299,6 +303,4 @@
 !****************************************************************************************
     INCLUDE "YOMCST.h"
-    INCLUDE "compbl.h"    
-
 !****************************************************************************************
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5139)
@@ -20,4 +20,5 @@
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_clesphys
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the 
@@ -61,5 +62,4 @@
 ! Include
 !****************************************************************************************
-    INCLUDE "compbl.h"
     INCLUDE "YOETHF.h"
     INCLUDE "YOMCST.h"
@@ -211,4 +211,5 @@
     USE indice_sol_mod
     USE lmdz_print_control, ONLY: prt_level, lunout
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
   
 !======================================================================
@@ -234,5 +235,4 @@
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
-    INCLUDE "compbl.h"
 
 ! Arguments:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/compbl.h	(revision 5137)
+++ 	(revision )
@@ -1,12 +1,0 @@
-
-      ! $Header$
-
-!jyg+al1<
-!!      integer iflag_pbl,iflag_pbl_split
-!!      common/compbl/iflag_pbl,iflag_pbl_split
-!!FC      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw
-!FC      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw
-      INTEGER iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-!>jyg+al1
-!$OMP THREADPRIVATE(/compbl/)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5139)
@@ -39,12 +39,12 @@
     USE lmdz_alpale
     USE lmdz_clesphys
+    USE lmdz_nuage_params
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     INCLUDE "conema3.h"
-    INCLUDE "nuage.h"
     INCLUDE "YOMCST.h"
     INCLUDE "YOMCST2.h"
 
     !IM : on inclut/initialise les taux de CH4, N2O, CFC11 et CFC12
-    INCLUDE "compbl.h"
     INCLUDE "comsoil.h"
     INCLUDE "YOEGWD.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5139)
@@ -94,4 +94,5 @@
   USE lmdz_alpale
   USE lmdz_clesphys
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
   IMPLICIT NONE
@@ -113,6 +114,4 @@
     REAL,    DIMENSION(klon_mpi)             :: cell_area_mpi
     REAL,    DIMENSION(klon_mpi,nbsrf)       :: pctsrf_mpi
-
-    INCLUDE "compbl.h"
 
     INTEGER :: ji,j,i
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5139)
@@ -2710,4 +2710,6 @@
                      wdtrainA, wdtrainS, wdtrainM)                                      ! RomP
   USE lmdz_print_control, ONLY: prt_level, lunout
+  USE lmdz_nuage_params
+
   IMPLICIT NONE
 
@@ -2716,5 +2718,4 @@
   include "cv3param.h"
   include "cvflag.h"
-  include "nuage.h"
 
 !inputs:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5139)
@@ -64,4 +64,6 @@
     USE IOIPSL
     USE lmdz_print_control, ONLY: lunout
+    USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
     !-----------------------------------------------------------------------
     !     Auteurs :   A. Lahellec  .
@@ -71,5 +73,4 @@
 
     include "compar1d.h"
-    include "flux_arp.h"
     include "tsoilnudge.h"
     include "fcg_gcssold.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_lmdz1d.F90	(revision 5139)
@@ -52,4 +52,6 @@
     USE lmdz_1dutils, ONLY: fq_sat, conf_unicol, dyn1deta0, dyn1dredem
     USE lmdz_clesphys
+    USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     INCLUDE "dimensions.h"
@@ -57,9 +59,7 @@
     INCLUDE "dimsoil.h"
     INCLUDE "compar1d.h"
-    INCLUDE "flux_arp.h"
     INCLUDE "date_cas.h"
     INCLUDE "tsoilnudge.h"
     INCLUDE "fcg_gcssold.h"
-    INCLUDE "compbl.h"
 
     !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_scm.F90	(revision 5139)
@@ -45,4 +45,6 @@
     USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_OUTPUTPHYSSCM
     USE lmdz_clesphys
+    USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     INCLUDE "dimensions.h"
@@ -50,9 +52,7 @@
     INCLUDE "dimsoil.h"
     INCLUDE "compar1d.h"
-    INCLUDE "flux_arp.h"
     INCLUDE "date_cas.h"
     INCLUDE "tsoilnudge.h"
     INCLUDE "fcg_gcssold.h"
-    INCLUDE "compbl.h"
 
     !=====================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5139)
@@ -31,9 +31,9 @@
 USE lmdz_abort_physic, ONLY: abort_physic
 USE lmdz_clesphys
+USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
 IMPLICIT NONE
 INCLUDE "YOMCST.h"
 INCLUDE "YOETHF.h"
-INCLUDE "compbl.h"
 
 ! Arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5137)
+++ 	(revision )
@@ -1,23 +1,0 @@
-
-! $Id: flux_arp.h 2010-08-04 17:02:56Z lahellec $
-! Modif EV, 10/2020
-
-      LOGICAL :: ok_flux_surf
-      LOGICAL :: ok_prescr_ust !for prescribed ustar
-      LOGICAL :: ok_prescr_beta
-      LOGICAL :: ok_forc_tsurf
-
-
-      REAL :: fsens
-      REAL :: flat
-      REAL :: betaevap
-      REAL :: ust
-      REAL :: tg
-
-      common /flux_arp/fsens,flat,betaevap,ust,tg,ok_flux_surf,ok_prescr_ust,ok_prescr_beta,ok_forc_tsurf
-
-!$OMP THREADPRIVATE(/flux_arp/)
-
-
-      
-
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5139)
@@ -8,4 +8,5 @@
     USE dimphy, ONLY: klon, klev
     USE lmdz_clesphys
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 !    USE control, ONLY: nvm
 !    USE indice_sol_mod, ONLY: nvm_orch
@@ -18,5 +19,4 @@
 !FC 
     include "dimpft.h"
-    include "compbl.h"
 
     ! 0. DECLARATIONS:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histREGDYN.h	(revision 5137)
+++ 	(revision )
@@ -1,126 +1,0 @@
-
-! $Header$
-
-      IF (ok_regdyn) THEN
-      
-        IF (is_sequential) THEN
-c
-cIM      PRINT*, 'La frequence de sortie REGDYN est de ', ecrit_mth
-c
-         idayref = day_ref
-         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-c
-c axe vertical pour les differents niveaux des histogrammes
-      DO iw=1, iwmax
-        zx_o500(iw)=wmin+(iw-1./2.)*pas_w
-      ENDDO
-
-         CALL histbeg("histREGDYN", kmaxm1,zx_tau, lmaxm1,zx_pc,
-     .                 1,kmaxm1,1,lmaxm1, itau_phy, zjulian, dtime, 
-     .                 nhoriRD, nid_regdyn)
-
-         CALL histvert(nid_regdyn, "omeganivs", "Omega levels", 
-     .                 "mb/day",
-     .                 iwmax, zx_o500, komega)
-c
-c   pour les champs instantannes, il faut mettre la meme valeur pour
-c   zout et zsto.
-c   dtime est passe par ailleurs a histbeg
-c
-c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
-c        zsto = zout
-c        PRINT*,'zout,zsto=',zout,zsto
-c
-c stockage a chaque pas de temps de la physique
-c
-         zstophy = dtime
-cIM 020904      zstophy = dtime * nbapp_isccp
-
-c ecriture mensuelle
-c
-         zout = dtime * ecrit_mth
-cIM 020904      
-c        zout = dtime * ecrit_day
-c        zout = dtime * REAL(NINT(86400./dtime*ecrit_regdyn))
-
-c
-c Champs 3D:
-c
-c TROP
-         CALL histdef(nid_regdyn, "hw1", "Tropics Histogram ", "%",
-                      kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32,
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_regdyn, "nh1", "Nb of pixels Tropics Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-
-         CALL histdef(nid_regdyn, "nht1",
-                      "Total Nb pixels Tropics Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-c PAN
-         CALL histdef(nid_regdyn, "hw2", "North Pacific Histogram", "%",
-                      kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32,
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_regdyn, "nh2", "Nb of pixels North Pacific",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-
-         CALL histdef(nid_regdyn, "nht2",
-                      "Total Nb pixels North Pacific Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c CAL
-         CALL histdef(nid_regdyn, "hw3", "California Histogram", "%",
-                      kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32,
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_regdyn, "nh3", 
-                      "Nb of pixels California Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-
-         CALL histdef(nid_regdyn, "nht3",
-                      "Total Nb pixels California Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c HAW
-         CALL histdef(nid_regdyn, "hw4", "Hawai Histogram", "%",
-                      kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32,
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_regdyn, "nh4", "Nb of pixels Hawai Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-
-         CALL histdef(nid_regdyn, "nht4",
-                      "Total Nb pixels Hawai Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c WAP
-         CALL histdef(nid_regdyn, "hw5", "Warm Pool Histogram", "%",
-                      kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega, 32,
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_regdyn, "nh5", "Nb of pixels Warm Pool Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-
-         CALL histdef(nid_regdyn, "nht5",
-                      "Total Nb pixels Warm Pool Histo",
-                      "%",kmaxm1,lmaxm1,nhoriRD, iwmax,1,iwmax, komega,
-                      32,"ave(X)", zstophy,zout)
-c
-         CALL histend(nid_regdyn)
-	 
-	 END IF ! is_sequential
-
-      endif ! ok_regdyn
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histday_seri.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_histday_seri.h	(revision 5137)
+++ 	(revision )
@@ -1,131 +1,0 @@
-
-! $Id$
-
-!ym Ne fonctionnera pas en mode parallele
-      IF (is_sequential) THEN
-      
-      IF (type_run.EQ."AMIP") THEN
-
-       zstophy = pdtphys
-       zout = ecrit_day
-
-         idayref = day_ref
-         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
-
-         CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,longitude_deg,zx_lon)
-         DO i = 1, nbp_lon
-            zx_lon(i,1) = longitude_deg(i+1)
-            zx_lon(i,nbp_lat) = longitude_deg(i+1)
-         ENDDO
-         DO ll=1,klev
-            znivsig(ll)=REAL(ll)
-         ENDDO
-         CALL gr_fi_ecrit(1,klon,nbp_lon,nbp_lat,latitude_deg,zx_lat)
-
-         imin_debut=1 
-         nbpti=1
-         jmin_debut=1 
-         nbptj=1
-
-         CALL histbeg("histday_seri.nc",  &
-                       nbp_lon,zx_lon(:,1),nbp_lat,zx_lat(1,:), &
-                       imin_debut,nbpti,jmin_debut,nbptj, &
-                       itau_phy, zjulian, dtime, &
-                       nhori, nid_day_seri)
-
-         CALL histvert(nid_day_seri, "presnivs",  &
-                      "Vertical levels","mb", &
-                       klev, presnivs/100., nvert)
-
-         CALL histdef(nid_day_seri, "bilTOA",  &
-                      "Net radiation at model top", "W/m2", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "bils",  &
-                      "Net downward energy flux at surface","W/m2", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "ecin",  &
-                      "Total kinetic energy (per unit area)","J/m2", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-!IM 151004 BEG
-         IF(1.EQ.0) THEN
-
-         CALL histdef(nid_day_seri, "momang",  &
-                     "Total relative angular momentum (per unit area)", &
-                     "kg/s", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "frictor",  &
-                     "Friction torque (per unit area)", "N/m", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "mountor",  &
-                     "Mountain torque (per unit area)", "N/m", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-         ENDIF !(1.EQ.0) THEN
-
-         CALL histdef(nid_day_seri, "momang",  &
-                     "Axial angular momentum (per unit area)", &
-                     "kg/s", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "torsfc",  &
-              "Total surface torque (including mountain torque)", "N/m", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-!IM 151004 END        
-
-         CALL histdef(nid_day_seri, "tamv",  &
-                      "Temperature (mass-weighted vert. ave)", "K", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "psol",  &
-                      "Surface pressure", "Pa", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
-                      "ave(X)", zstophy,zout)
-
-         CALL histdef(nid_day_seri, "evap",  &
-                      "Evaporation and sublimation (per unit area)",  &
-                      "kg/(m2*s)", &
-                      nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,  &
-                      "ave(X)", zstophy,zout)
-
-!          CALL histdef(nid_day_seri,
-!    .         "SnowFrac", 
-!    .         "Snow-covered area ", "%",  
-!    .         nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32,
-!    .         "ave(X)", zstophy,zout)
-
-!        CALL histdef(nid_day_seri, "snow_depth", 
-!IM 080904  .                "Snow Depth (water equivalent)", "m",
-!IM 191104  .                "Snow Depth (water equivalent)", "kg/m2",
-!    .                "Snow Mass", "kg/m2",
-!    .                nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, 
-!    .               "ave(X)", zstophy,zout)
-
-           CALL histdef(nid_day_seri,  &
-               "tsol_"//clnsurf(is_oce),  &
-               "SST over open (ice-free) ocean ", "K",   &
-               nbp_lon,nbp_lat,nhori, 1,1,1, -99, 32, &
-               "ave(X)", zstophy,zout)
-
-!=================================================================
-
-         CALL histend(nid_day_seri)
-
-!=================================================================
-      ENDIF ! fin de test sur type_run.EQ.AMIP
-      
-      ENDIF ! is_sequential
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5139)
@@ -1042,4 +1042,5 @@
         USE indice_sol_mod
         USE lmdz_clesphys
+        USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
         IMPLICIT NONE
@@ -1048,5 +1049,4 @@
         ! Objet: Lecture du fichier de conditions initiales pour SISVAT
         !======================================================================
-        include "compbl.h"
 
         !======================================================================
@@ -1278,8 +1278,7 @@
         USE dimphy
         USE lmdz_clesphys
+        USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
         IMPLICIT NONE
-
-        include "compbl.h"
 
         !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_compbl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_compbl.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_compbl.f90	(revision 5139)
@@ -0,0 +1,16 @@
+! Replaces compbl.h
+
+MODULE lmdz_compbl
+  IMPLICIT NONE; PRIVATE
+  PUBLIC iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+
+  !!      integer iflag_pbl,iflag_pbl_split
+  !!      common/compbl/iflag_pbl,iflag_pbl_split
+  !!FC      integer iflag_pbl, iflag_pbl_split, iflag_order2_sollw
+  !FC      common/compbl/iflag_pbl, iflag_pbl_split, iflag_order2_sollw
+  INTEGER iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+  !$OMP THREADPRIVATE(iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree)
+
+  !>jyg+al1
+
+END MODULE lmdz_compbl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_flux_arp.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_flux_arp.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_flux_arp.f90	(revision 5139)
@@ -0,0 +1,25 @@
+! $Id: flux_arp.h 2010-08-04 17:02:56Z lahellec $
+! Replaces flux_arh.h
+! Modif EV, 10/2020
+
+MODULE lmdz_flux_arp
+  PRIVATE NONE; PRIVATE
+  PUBLIC fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
+  LOGICAL :: ok_flux_surf
+  LOGICAL :: ok_prescr_ust !for prescribed ustar
+  LOGICAL :: ok_prescr_beta
+  LOGICAL :: ok_forc_tsurf
+
+  REAL :: fsens
+  REAL :: flat
+  REAL :: betaevap
+  REAL :: ust
+  REAL :: tg
+
+  !$OMP THREADPRIVATE(fsens,flat,betaevap,ust,tg,ok_flux_surf,ok_prescr_ust,ok_prescr_beta,ok_forc_tsurf)
+END MODULE lmdz_flux_arp
+
+
+      
+
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_nuage_params.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_nuage_params.f90	(revision 5139)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_nuage_params.f90	(revision 5139)
@@ -0,0 +1,23 @@
+! Replaces nuage.h
+
+MODULE lmdz_nuage_params
+  IMPLICIT NONE; PRIVATE
+  PUBLIC rad_froid, rad_chau1, rad_chau2, &
+          tau_cld_cv, coefw_cld_cv, &
+          tmax_fonte_cv, iflag_ratqs, &
+          iflag_cld_cv, &
+          ok_icefra_lscp
+
+  REAL rad_froid, rad_chau1, rad_chau2
+  REAL tau_cld_cv, coefw_cld_cv
+  REAL tmax_fonte_cv
+  INTEGER iflag_cld_cv, iflag_ratqs
+  LOGICAL ok_icefra_lscp
+
+  !$OMP THREADPRIVATE(rad_froid,rad_chau1, rad_chau2,                 &
+  !$OMP                    tau_cld_cv,coefw_cld_cv,                        &
+  !$OMP                    tmax_fonte_cv,iflag_ratqs,                      &
+  !$OMP                    iflag_cld_cv,                                   &
+  !$OMP                    ok_icefra_lscp)
+
+END MODULE lmdz_nuage_params
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yomcst.f90	(revision 5139)
@@ -1,5 +1,20 @@
-! TODO: REPLACE YOMCST.h ONCE .F -> .f90 !
+! Replaces yomcst.h
 
 module lmdz_yomcst
+  IMPLICIT NONE; PRIVATE
+
+  PUBLIC RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+          , R_ecc, R_peri, R_incl                                      &
+          , RA, RG, R1SA                                         &
+          , RSIGMA                                                     &
+          , R, RMD, RMV, RD, RV, RCPD                    &
+          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+          , RCW, RCS                                                 &
+          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+          , RALPD, RBETD, RGAMD
+
   ! A1.0 Fundamental constants
   REAL RPI, RCLUM, RHPLA, RKBOL, RNAVO
@@ -25,17 +40,16 @@
   REAL RALPD, RBETD, RGAMD
 
-  COMMON/YOMCST/RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
-          , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
-          , R_ecc, R_peri, R_incl                                      &
-          , RA, RG, R1SA                                         &
-          , RSIGMA                                                     &
-          , R, RMD, RMV, RD, RV, RCPD                    &
-          , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
-          , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
-          , RCW, RCS                                                 &
-          , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
-          , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
-          , RALPD, RBETD, RGAMD
-  !$OMP THREADPRIVATE(/YOMCST/)
+  !$OMP THREADPRIVATE(RPI, RCLUM, RHPLA, RKBOL, RNAVO                   &
+  !$OMP      , RDAY, REA, REPSM, RSIYEA, RSIDAY, ROMEGA                  &
+  !$OMP      , R_ecc, R_peri, R_incl                                      &
+  !$OMP      , RA, RG, R1SA                                         &
+  !$OMP      , RSIGMA                                                     &
+  !$OMP      , R, RMD, RMV, RD, RV, RCPD                    &
+  !$OMP      , RMO3, RMCO2, RMC, RMCH4, RMN2O, RMCFC11, RMCFC12        &
+  !$OMP      , RCPV, RCVD, RCVV, RKAPPA, RETV, eps_w                    &
+  !$OMP      , RCW, RCS                                                 &
+  !$OMP      , RLVTT, RLSTT, RLMLT, RTT, RATM                           &
+  !$OMP      , RESTT, RALPW, RBETW, RGAMW, RALPS, RBETS, RGAMS            &
+  !$OMP      , RALPD, RBETD, RGAMD)
 
 END MODULE lmdz_yomcst
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5139)
@@ -10,4 +10,5 @@
   USE phys_local_var_mod, ONLY: ptconv
   USE lmdz_clesphys
+  USE lmdz_nuage_params ! JBM 3/14
 
   IMPLICIT NONE
@@ -41,5 +42,4 @@
 
   include "YOMCST.h"
-  include "nuage.h" ! JBM 3/14
 
   REAL paprs(klon, klev+1), pplay(klon, klev)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.h	(revision 5137)
+++ 	(revision )
@@ -1,15 +1,0 @@
-
-! $Id$
-
-      REAL rad_froid, rad_chau1, rad_chau2
-      REAL tau_cld_cv,coefw_cld_cv
-      REAL tmax_fonte_cv
-      INTEGER iflag_cld_cv, iflag_ratqs
-      LOGICAL ok_icefra_lscp
-
-      common /nuagecom/ rad_froid,rad_chau1, rad_chau2,                 &
-                        tau_cld_cv,coefw_cld_cv,                        &
-                        tmax_fonte_cv,iflag_ratqs,                      &
-                        iflag_cld_cv,                                   &
-                        ok_icefra_lscp
-!$OMP THREADPRIVATE(/nuagecom/)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_forced_mod.F90	(revision 5139)
@@ -42,4 +42,5 @@
     USE config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_clesphys
+  USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
 #ifdef ISO
     USE infotrac_phy, ONLY: ntiso,niso
@@ -53,5 +54,4 @@
 
     INCLUDE "YOMCST.h"
-    INCLUDE "flux_arp.h"
 
 ! Input arguments
@@ -268,4 +268,5 @@
     USE phys_output_var_mod, ONLY: sens_prec_liq_o, sens_prec_sol_o, lat_prec_liq_o, lat_prec_sol_o
   USE lmdz_clesphys
+  USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
 #ifdef ISO
     USE infotrac_phy, ONLY: niso, ntiso
@@ -281,5 +282,4 @@
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "flux_arp.h"
 
 ! Input arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5139)
@@ -415,4 +415,6 @@
     USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
   USE lmdz_clesphys
+  USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
@@ -422,6 +424,4 @@
     INCLUDE "YOETHF.h"
     INCLUDE "FCTTRE.h"
-    INCLUDE "compbl.h"
-    INCLUDE "flux_arp.h"
     !FC
     INCLUDE "dimpft.h"
@@ -4273,7 +4273,7 @@
     USE config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_clesphys
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     INCLUDE "dimsoil.h"
-    INCLUDE "compbl.h"
 
     ! Input variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/perturb_radlwsw.F90	(revision 5139)
@@ -4,6 +4,7 @@
 
       USE dimphy
+      USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
       IMPLICIT NONE
-      INCLUDE "flux_arp.h"     
 
 ! Arguments :
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5139)
@@ -44,4 +44,5 @@
     USE lmdz_alpale
     USE lmdz_clesphys
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
@@ -51,5 +52,4 @@
     !======================================================================
     include "dimsoil.h"
-    include "compbl.h"
     include "YOMCST.h"
     !======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5139)
@@ -44,9 +44,9 @@
   USE lmdz_alpale
   USE lmdz_clesphys
+  USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
   IMPLICIT NONE
 
   include "dimsoil.h"
-  include "compbl.h"
   !======================================================================
   CHARACTER*(*) fichnom
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5139)
@@ -470,8 +470,8 @@
     USE lmdz_alpale
     USE lmdz_clesphys
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
 
-    INCLUDE "compbl.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5139)
@@ -352,4 +352,6 @@
     USE lmdz_alpale
     USE lmdz_clesphys
+    USE lmdz_nuage_params
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 
     IMPLICIT NONE
@@ -1156,6 +1158,4 @@
     !IM 100106 BEG : pouvoir sortir les ctes de la physique
     include "conema3.h"
-    include "nuage.h"
-    include "compbl.h"
     !IM 100106 END : pouvoir sortir les ctes de la physique
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/screenc_mod.F90	(revision 5139)
@@ -19,4 +19,6 @@
                          ustar, testar, qstar, okri, ri1, &
                          pref, delu, delte, delq, s_pblh, prain, tsol, pat1)
+        USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
       IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -73,5 +75,4 @@
 !-----------------------------------------------------------------------
       include "YOMCST.h"
-      include "flux_arp.h"
 
 ! Variables locales  
@@ -122,4 +123,6 @@
                          ri1, iri1, &
                          pref, delm, delh, zri1, s_pblh, prain, tsol, pat1)
+        USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
       IMPLICIT NONE
 !-----------------------------------------------------------------------
@@ -177,5 +180,4 @@
 !-----------------------------------------------------------------------
       include "YOMCST.h"
-      include "flux_arp.h"
 
 ! Variables locales  
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5139)
@@ -20,4 +20,6 @@
                            ts1, qsurf, z0m, z0h, psol, pat1, &
                            t_2m, q_2m, t_10m, q_10m, u_10m, ustar, s_pblh, prain, tsol)
+        USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -71,5 +73,4 @@
       REAL, DIMENSION(klon), INTENT(IN) :: tsol
 !-------------------------------------------------------------------------
-      include "flux_arp.h"
       include "YOMCST.h"
 !IM PLUS
@@ -320,4 +321,6 @@
 
       USE lmdz_ioipsl_getin_p, ONLY: getin_p
+      USE lmdz_flux_arp, ONLY: fsens, flat, betaevap, ust, tg, ok_flux_surf, ok_prescr_ust, ok_prescr_beta, ok_forc_tsurf
+
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -380,5 +383,4 @@
       REAL, DIMENSION(klon) :: tsol
 !-------------------------------------------------------------------------
-      include "flux_arp.h"
       include "YOMCST.h"
 !IM PLUS
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5139)
@@ -57,4 +57,5 @@
     USE lmdz_print_control, ONLY: lunout
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -115,5 +116,4 @@
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"
-    INCLUDE "compbl.h"
 
 ! Parametres d'entree
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5137)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5139)
@@ -55,4 +55,5 @@
     USE lmdz_print_control, ONLY: lunout
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
+    USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
 #ifdef CPP_VEGET
     USE time_phylmdz_mod, ONLY: itau_phy 
@@ -113,5 +114,4 @@
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"  
-    INCLUDE "compbl.h"
 
 ! Parametres d'entree
